<?php

// FractalMeet 1.0
// Copyright Mikael Cromsjö 2021

	include 'functions.php';

//	$debug = true;
//	$test = true;
	$demo = true;

	// Daylight saving
//	$dst = 60 * 60;

	ini_set('display_errors', 0);
	ini_set('display_startup_errors', 0);
	error_reporting(0);

	if($debug) {
		ini_set('display_errors', 1);
		ini_set('display_startup_errors', 1);
		error_reporting(E_ALL & ~E_NOTICE);
	}

	// get all session variables
	if(isset($_COOKIE["userId"]) && !empty($_COOKIE["userId"])){
		$username = $_COOKIE["username"];
		$userId = $_COOKIE["userId"];
		$pin = $_COOKIE["pin"];
	}
	
	if(isset($_COOKIE["id"]) && !empty($_COOKIE["id"])){
		$id = $_COOKIE["id"];
	}
	if(isset($_GET["id"])){
		$id = $_GET["id"];
	}	
	
	$id="a";
	$Fractal = new fractal($id);
	

	if ($demo) {
		
		$time = 0;
		foreach ($Fractal->config->startDates as $dates) {
			$dates = (array) $dates;
			$_layer = $dates['layer'];

			//Demo every 25 min today
			$time += 0;
			$startTime = time();
			$dates['date'] = date("Y-m-d H:".$time, $startTime) . " CET";
			
			$_meeting = $dates['meeting'];
			$_date = $dates['date'];
			$Fractal->config->startDate[$_layer][$_meeting] = $_date;
		}			
		
		
		
	}	
	
	// load config from json file

	if ($test) {
		if(isset($_GET["delete"])){
			$meeting = 0;
			for ($l = 0; $l<20; $l++) {
				unlink(DATAPATH.$id."-start-".$l."-".$meeting.".dat");
				unlink(DATAPATH.$id."-groups-".$l."-".$meeting.".dat");
			}
			unlink(DATAPATH.$id."-users.dat");
		}
	}

	// Remove cookies if ?clean
	if(isset($_GET["clean"])){
		unset($_COOKIE['userId']);
		setcookie('userId', '', time() - 3600, '/'); // empty value and old timestamp
		unset($_COOKIE['username']);
		setcookie('username', '', time() - 3600, '/'); // empty value and old timestamp
		unset($_COOKIE['pin']);
		setcookie('pin', '', time() - 3600, '/'); // empty value and old timestamp
		$userId = "";
	}
	if(isset($_POST['userId']) && !empty($_POST['userId'])){
		$username=$_POST['username'];
		$userId=strtolower($_POST['userId']);
		$pin=$_POST['pin'];
	}
	else
	if(isset($_GET['userId']) && !empty($_GET['userId'])){
		$username=$_GET['username'];
		$userId=strtolower($_GET['userId']);
		$pin=$_GET['pin'];
	}
		
	if ($demo) {
		$username = "Earl Gray";
		$userId= "earl@gray.uk";
		$pin = "1234";
	}
	
	if (isset($pin) && $pin > "") {
		setcookie('username',$username, time() + 3600, '/');
		setcookie('userId',$userId, time() + 3600, '/');
		setcookie('pin',$pin, time() + 3600, '/');
		setcookie('id',$id, time() + 3600, '/');
	}


	include './html/header.html';
	
	echo '<audio id="bell" src="./audio/bell.mp3" type="audio/wav"></audio>';


	// Get user data
	$layer = 0;
	$meeting = 0;
	if ($userId > "") {
		$userData = $Fractal->getUserData($userId);
		$layer = $userData->layerId;
		$meeting = $userData->meetingId;
		if (!$layer)
			$layer = 0;
		if (!$meeting)
			$meeting = 0;
	}

	// Set variables from get/post/file
	if(isset($_GET["start"])){
		$start = 1;
	}	

	if(isset($_GET["layer"])){
		$layer = (int) $_GET["layer"];
		$userData->layerId = $layer;
		$Fractal->updateUserData($userData->userId, $userData);
	}	

	if (isset($userData->layer->{$layer}->groupId))
		$groupId = $userData->layer->{$layer}->groupId;
	
	if ($userData === false && $userId>"" && $username>"" && $pin>"") {
		// user not found, add user
		$userData = new stdClass();
		$userData->username = preg_replace("/[^åäöÅÄÖA-Za-z0-9 ]/","",$username);
		$userData->userId = strtolower(preg_replace("/[^@.A-Za-z0-9]/","",$userId));
		$userData->email = $userId;
		$userData->pin = preg_replace("/[^0-9]/","",$pin);
		$Fractal->updateUserData($userId, $userData);
	}	
	
	// Check if logged in and right pin
	if ($pin>"" && $userData->pin == $pin) {
		$isLoggedIn = true;
		
		if (isset($userData->layerId))
			$layer = $userData->layerId;
			
		if (isset($userData->userId)) {	
			$userId = $userData->userId;
			$username = $userData->username;
			$pin = $userData->pin;
		}
		
	}

	// Print logo
	echo '
		<body>
		<div class="container">
		<div class="row">
		<div class="col-md-12" style="max-width:600px">
		<img style="margin-left:0px; max-height:200px" src=" ' . $Fractal->config->logo . '">  
		';


	// Calculate time to start 
    $Fractal->config->startTime = strtotime($Fractal->config->startDate[$layer][$meeting]) - $dst;
	$wait=($Fractal->config->startTime-time())/60;
	
	// if wait is <0 and not in group, change to next meeting if more meetings in this level.
	while ($wait <=0 && !$groupId && isset($Fractal->config->startDate[$layer][($meeting+1)])) {
		$meeting++;
		$Fractal->config->startTime = strtotime($Fractal->config->startDate[$layer][$meeting]) - $dst;
		$wait=($Fractal->config->startTime-time())/60;
	}

	if ($wait <= 0) {				
		if (file_exists(DATAPATH.$id."-start-".$layer."-".$meeting.".dat")) {
			unlink(DATAPATH.$id."-start-".$layer."-".$meeting.".dat");
			// move users to make groups similar size
			$Fractal->equalizeGroups($layer, $meeting);
			$userData = $Fractal->getUserData($userId);
			$groupData = $Fractal->getGroupData($layer, $meeting, $userData->layer->{$layer}->groupId);
			$groupId = $groupData->groupId;
		}
	}	

	echo "<h1>{$Fractal->config->title}</h1>";
	echo '<div>';

	// If no desc, use last known
	if (!isset($Fractal->config->desc[$layer])) {
		for ($i = $layer; $i>=0; $i--) {
			if (isset($Fractal->config->desc[$i])) {
				$Fractal->config->desc[$layer] = $Fractal->config->desc[$i];
				break;
			}
		}
	}	
	
	$meetingLength = $Fractal->config->meetingLength;
	if ($layer > 0)
		$meetingLength = $Fractal->config->repMeetingLength;
	
	
	
//	$Fractal->config->desc[$layer] = str_replace("<startDate>",$Fractal->config->startDate[$layer][$meeting],$Fractal->config->desc[$layer]);
//	$Fractal->config->desc[$layer] = str_replace("<meetingLength>",$meetingLength,$Fractal->config->desc[$layer]);

	if ($wait > 0) {
		echo "<p>" . $Fractal->config->desc[$layer] . "<p><br>";
	}
	else{
		echo "<button id='descinfobtn' type='button' onclick='$(\"#descinfo\").show(); $(\"#descinfobtn\").hide()' class='fa fa-info'> Read the meeting description</button><p>";
		echo "<div id='descinfo' style='display:none'>";
		echo $Fractal->config->desc[$layer] . "<p><br>";
		echo "</div>";
	}
	
	// If current meeting is over and user not in group, make next meeting the current.	
	// If many different meetings on layer, print info for all meetings
	if (count($Fractal->config->startDate[$layer]) > 1) {
		echo "There are " . count($Fractal->config->startDate[$layer]) . " different times sceduled for the " . ordinalNumber($layer+1) . " meeting.<p>";
		foreach ($Fractal->config->startDate[$layer] as $_meetingId => $meetingStartDate) {
			// If meeting is over disable
			$meetingStartTime = strtotime($meetingStartDate) - $dst;
			$meetingWait=($meetingStartTime-time())/60;
			// TODO disable meetings that are over or disable all if user already in group, then highlight
			if ($meetingWait < 0) {
				echo "<button type='button' class='disabled'>" . $meetingStartDate . "</button>";
			}
			else {
				echo "<button type='button'>" . $meetingStartDate . "</button>";
			}
		}
		echo "<p>";
	}
	else {
		echo "Start date: " . $Fractal->config->startDate[$layer][$meeting] . "<br>";
	}
	
	echo "Meeting length: " . $meetingLength . " minutes<p>";

	// if not part of group, get representatives group.
	if (!isset($groupId) && $layer > 0) {
		$prevGroupData = $Fractal->getGroupData($layer-1, $userData->layer->{$layer-1}->meetingId, $userData->layer->{$layer-1}->groupId);
		// get rep data
		$repData = $Fractal->getUserData($prevGroupData->rep->id);
		$repGroupId = $repData->layer->{$layer}->groupId;
		$userIsObserver = true;
	}

	if ($groupId) {
		$groupData = $Fractal->getGroupData($layer, $meeting, $groupId);
	}
	if ($wait>0 && $wait<$Fractal->config->lobbyTime && isset($start) && !$groupId) {
		$groupData = $Fractal->joinGroup($layer, $meeting, $userData);
		$groupId = $groupData->groupId;
	}
		
	if ($layer > 0) {
		$prevGroupData = $Fractal->getGroupData($layer-1, $userData->layer->{$layer-1}->meetingId, $userData->layer->{$layer-1}->groupId);
		$prevRep = $prevGroupData->rep->id;
		$isPrevRep = $prevRep == $userId;
	}

	include "./meetTimers.php";			
	include "./js/header.js";
	
	if ($wait > 0) { 
//		date_default_timezone_set('Europe/Stockholm');
		$seconds=$Fractal->config->startTime-time();
		$days = floor($seconds / 86400);
		$seconds %= 86400;
		$hours = floor($seconds / 3600);
		$seconds %= 3600;
		$minutes = floor($seconds / 60);
		$seconds %= 60;
		echo "<b>Meeting starts in <span id='waitTime'>$days " . e("days, ") . "$hours " . e("hours, ") . "$minutes " . e("minutes ") . e("and ") . "$seconds " . e("seconds") . "</span></b><p>";
	}
	
	// In group, before meeting
	if ($wait < 60 * 24 && $wait > 0 && isset($groupId)) {
		echo "<p><div class='well'>" . e("We are waiting for the meeting to start.") . "</div>";
	}
	
	if ($wait <= 0)
		$countdown = ($wait + $meetingLength) * 60 * 1000;
	
	// Meeting active but not in group
	if ($wait < 0 && $countdown > 0 && !isset($groupId) && !$repGroupId && !$userIsObserver) {
		echo "<p><div class='well'>" . e("<b>The meeting has already started. You have to join a group before the meeting starts to take part in the meeting.</b>") . "</div>"; 
	}

	if ($wait < -$meetingLength) {
		echo "<p><div class='well'>" . e("<b>The meeting is over.</b>") . "</div>";
	}
	
	if ($wait > $Fractal->config->lobbyTime && ($isPrevRep || $layer == 0)) {
		echo "<p><div class='well fa fa-warning'>" . e("You need to be in time for the meeting and join a group before the meeting starts. You are able to join a group from ") . $Fractal->config->lobbyTime . " minutes before the meeting starts</div>";
	}
			
	echo "<p>";
				
	if ($isLoggedIn) {
		echo "<p><b>" . ("Welcome ") . stripcslashes($userData->username) . "</b> (<a href='?clean'>" . e("not you?") . "</a>) <br><p>";
			
//		$wait=($Fractal->config->startTime-time())/60;
		
		if (isset($userData->layer)) {
			$layerNr = 0;
			// Display all layers from user 
			foreach($userData->layer as $layerNr => $data) {
				if ($layerNr == $layer)
					echo '<a href="#" class="selected btn btn-default">' . e("Meeting ") .  ($layerNr+1) . '</a>';
				else
					echo '<a href="?layer='.$layerNr.'" onclick="window.name = \'M' .($_layer+1). '\'" target="M'.($_layerNr+1).'" class="btn btn-default">' . e("Meeting ") . ($layerNr+1) . '</a>';
			}
			

			$meetingId = $userData->layer->{$layerNr}->meetingId;
			if (!$meetingId)
				$meetingId = 0;
				
			// if last layer meeting is over and there are more than 1 group in ast layer, make link to the next meeting.
			$lastGroupId = $userData->layer->{$layerNr}->groupId;
			$lastGroupData = $Fractal->getGroupData($layerNr, $meetingId, $lastGroupId);			

			$groups = $Fractal->getGroupCount($layerNr, $meetingId);
//			echo "groups $groups in layer $layerNr";
			
			$_meetingLength = $meetingLength;
			if ($layerNr > 0)
				$_meetingLength = $Fractal->config->repMeetingLength;

			// If more than 1 group show next meeting
			if ($groups>1) {
				$lastStartDate = $Fractal->config->startDate[$layerNr][$meetingId];
				$lastStartTime =  strtotime($lastStartDate) - $dst;
				$lastWait=($lastStartTime-time())/60;
				$layerNr++;
				
				// last meeting is over
				
//				echo "wait $lastWait, length $_meetingLength";
			
				if ($lastWait + $_meetingLength <= 0) {
					if ($layerNr == $layer)
						echo '<a href="#" class="selected btn btn-default">' . e("Meeting ") . ($layerNr+1) . '</a>';
					else
						echo '<a href="?layer='.$layerNr.'" onclick="window.name = \'M' . ($_layer+1). '\'" target="M'.($_layerNr+1).'" class="btn btn-default">' . e("Meeting ") . ($layerNr+1) . '</a>';
				}
				
				// if last layer meeting has open lobby and you are rep but not in a group, make warning
				$nextStartDate = $Fractal->config->startDate[$layerNr][$meetingId];
				$nextStartTime =  strtotime($nextStartDate) - $dst;
				$nextWait=($nextStartTime-time())/60;
				if ($nextWait > 0 && $nextWait <= $Fractal->config->lobbyTime && $countdown<=0 ) {
					if ($lastGroupData->rep->id == $userId && !$userData->layer->{$layerNr}->groupId)
						echo "
							<script>
								$(window).load(function() {
									myComfirm('You have a open meeting waiting for you to join. Do you want to go to that meeting?', function (result) {
										if (result)
										{
											window.open('?layer=' + (Number($layerNr)), 'L$layerNr');
										}
									}); 
								});
							</script>";
				}
			}			
		}
		else {
				echo '<a href="#" class="selected btn btn-default">' . e("Meeting ") . (1) . '</a>';
		}
		echo "<p>";

		// if next meeting is over do not show link
		$nextLayer=$layer+1;
		$nextStartDate = $Fractal->config->startDate[$nextLayer][0];
		$nextStartTime = strtotime($nextStartDate) - $dst;
		$nextWait=($nextStartTime-time())/60;

		if (!$userIsObserver && $nextWait+$Fractal->config->repMeetingLength > 0 && count($groupData->users)>1 && $groups>1) {
			echo '
				<div id="endInfo" class="showafter" style="display:none"><div id="endMessage"></div>Next meeting: '.$Fractal->config->startDate[$layer+1][0].'<br>
				<a id="endButton" onclick="window.name = \'M' . ($_layer+1) . '\'" target="M'.($_nextLayer+1).'" href="?layer='. $nextLayer . '" class="btn btn-default">
				' . e("Go to the next meeting") . '
				<span class="fa fa-group" aria-hidden="true"></span>
				</a><p></div>
				';
		}
		
		
		
		if ($layer > 0 && !$groupId && !$isPrevRep && $countdown>=0) { 
			echo '<p><div class="well fa fa-warning hideafter"> When viewing as an observator you need to keep your microphone muted and your video turned off. The only exception is if you get a direct question from your representative.</div>';		
		}							
		
		if ($groupId && $wait<0) {
			echo e("You are part of group ") . $groupId . "<br>";
		}	
		else if ($repGroupId) {
			if ($countdown > 0) {
				echo '
					<a id="observeVideo" href="#" onclick="showVideo()" class="hideafter btn btn-default">
					' . e("View meeting video as an Observer") . '
					<span class="glyphicon glyphicon-earphone" aria-hidden="true"></span>
					</a><p><br>
					<p>';
				
			}			
			
			echo e("You are	observing group ") . $repGroupId . "<br>";
			$groupData = $Fractal->getGroupData($layer, $meeting, $repGroupId);
			$groupId = $repGroupId;
			$userIsObserver = true;
		}
		

		
		if ($wait < 0 && $groupId) {
			echo e("Number of members in the group ") . count($groupData->users) . "<br>";
			
			$min = floor($countdown / (60 * 1000));
			$sec = floor(($countdown - ($min * 60 * 1000)) / 1000);			
			if ($countdown<0) {
				$min = 0;
				$sec = 0;
			}
		}
		if (($groupId || $repGroupId) && $wait < 0 && $countdown > 0) {
			echo e("<span class='showstart'>Time left of meeting: <span id='countTime'>$min minutes and $sec seconds</span><br></span>");
		}
		
		echo "<p>";
		
		// If no agenda, use last known
		if (!isset($Fractal->config->agenda[$layer])) {
			for ($i = $layer; $i>=0; $i--) {
				if (isset($Fractal->config->agenda[$i])) {
					$Fractal->config->agenda[$layer] = $Fractal->config->agenda[$i];
					break;
				}
			}
		}

		// always show agenda after meeting start	
		// disabled by always false 
		if (false && $countdown > 0) {
			echo $Fractal->config->agenda[$layer];
		}
		else{
			echo "<button id='agendainfobtn' type='button' onclick='$(\"#agendainfo\").show(); $(\"#agendainfobtn\").hide()' class='fa fa-info'> Read the Agenda</button><p>";
			echo "<div id='agendainfo' style='display:none'>";
			echo $Fractal->config->agenda[$layer];
			echo "</div>";
		}
		
		echo "</div>";


		if (($groupId && $wait <= 0)) {
			
			echo "<h3>" . e("Meeting Protocol") . "</h3>";
			echo "<h4>" . e("Secretary: ");
			
			$secs = new stdClass();
			$groupData = $Fractal->getGroupData($layer, $meeting, $groupId);
						
			foreach ($groupData->users as $_user) {
				if ($_user->userId == $userData->userId) {
					$selected = $_user->secId;
				}
				if ($_user->secId) {
					$secs->{$_user->secId} ++;
				}
			}
			$sec = "";
			$votes = 0;
			foreach ($secs as $k => $v) {
				if ($v > $votes) {
					$sec = $k;
					$votes = $v;
				}
			}
			// If no sec take first user and make sec
			if ($sec == "") {
				$sec = $groupData->users[0]->userId;
				$groupData->sec->id = $sec;
				$Fractal->updateGroupData($layer, $meeting, $groupId, $groupData);
			}
			$sec = $Fractal->getUserData($sec);
			echo "<span id='sec'>$sec->username</span></h4>";
			
//			echo e("The secretery writes down new proposals.") . "<p>";


			if ($userIsObserver || $countdown <= 0) {
				echo "<h4>Group Members</h4>";
				foreach ($groupData->users as $user) {
					$_userData = $Fractal->getUserData($user->userId);
					echo "<li>" . $_userData->username . "</li>";
				}
			}
			else {
				echo "<p><h5 class='hideafter'>" . e("Vote for secretary for your group: ");
				echo "<select class='sec' name='sec'>"; 
				echo "<option class='sec' value=''>Select</option>";
				foreach ($groupData->users as $user) {
					$_userData = $Fractal->getUserData($user->userId);
	//				if ($_userData && $_userData->userId != $userData->userId) {
					if (true) {
						if ($_userData->userId == $selected) {
							echo "<option class='sec' selected value='" . $_userData->userId . "'> ". $_userData->username . "</option>";
						}
						else {
							echo "<option class='sec' value='" . $_userData->userId . "'> ". $_userData->username . "</option>";
						}
					}					
				}
				echo "</select>";
				echo "</h5>";
			}
			
			if($layer>0 && !isset($groupData->import)){
				$Fractal->importContribs($layer, $meeting, $groupId, $groupData);
			}

			//$sec = $userData;
			$userIsSec = 0;
			$userIsSec = ($userData->userId == $sec->userId);

			echo "<div class='hideafter addproposal' style='display:none'>";
			if (!$userIsSec)
				$disablenosec = "disabled='true'";
			
			echo "<p><h4>" . e("Add proposal") . "</h4>";
			echo e("A proposal is a suggestion made during the meeting by one of the participants. Enter the title of the proposal and a short decription and click add. You can edit the proposal after you have added it.") . "<br><br>";
			
			
			echo "<input type='text' id='title' placeholder='" . e("Title") . "' style='width:100%'><br>";
			echo "<textarea id='details' placeholder='" . e("Description") . "' style='width:100%; height:100px'></textarea><br>";
				echo "<button class='add' type='button'>" . e("Add") ." </button></div>";
						
			echo "<h4>" . e("List of Proposals") . "</h4>";
			
			echo '<div class="showsec hideafter" style="display:none">';
							
			echo "
				Edit the proposals and organize them according to importance. <button id='addproposalhelpbtn' type='button' onclick='$(\"#addproposalhelp\").show();$(\"#addproposalhelpbtn\").hide()' class='fa fa-question'></button><br><br><div id='addproposalhelp' class='well' style='display:none'>" . "Edit the list with the help of the keys under the proposals. Put the most important proposal in the top of the list. Move them using the <button type='button' disabled='disabled' class='fa fa-toggle-up'></button><button disabled='disabled' type='button' class='fa fa-toggle-down'></button> buttons. Take away proposals <button disabled='disabled' type='button' class='fa fa-trash'></button> and save new changes <button disabled='disabled' type='button' class='fa fa-save'></button>. <span class='notlayer0'><p><br>You can merge similar proposals by clicking <button disabled='disabled' type='button' class='fa fa-code-fork'></button> on two proposals. To restore the proposals from previous meeting you can delete all proposals and click the <button disabled='disabled' type='button' class='fa fa-warning'> Restore proposals</button> button.</span></div></div>";
			echo '
				<div id="listdiv" style="display:none">
				<div class="" id="list">
				</div>
				</div>';

			if ($layer>0) {
				echo "<button type='button' style='display:none' class='hideafter import fa fa-warning'> Restore proposals</button>";
			}
			
			echo "<h4>" . e("Representative: ");
			
			$reps = new stdClass();
			$groupData = $Fractal->getGroupData($layer, $meeting, $groupId);
			foreach ($groupData->users as $_user) {
				if ($_user->userId == $userData->userId) {
					$selected = $_user->repId;
				}
				if ($_user->repId) {
					$reps->{$_user->repId} ++;
				}
			}
			$rep = "";
			$votes = 0;
			foreach ($reps as $k => $v) {
				if ($v > $votes) {
					$rep = $k;
					$votes = $v;
				}
			}
			
			
			// If no rep take first user and make sec
			if ($rep == "") {
				$rep = $groupData->users[0]->userId;
				$groupData->rep->id = $rep;
				$Fractal->updateGroupData($layer, $meeting, $groupId, $groupData);
			}
			$rep = $Fractal->getUserData($rep);
			echo "<span id='rep'>$rep->username</span></h4>";

			if (!$userIsObserver && $countdown > 0) {
				echo "<p><b>" . e("Vote for a representative for your group: ");
				echo "<select class='rep disableafter' name='rep'>"; 
				echo "<option class='rep' value=''>Select</option>";
				foreach ($groupData->users as $user) {
					$_userData = $Fractal->getUserData($user->userId);
	//				if ($_userData && $_userData->userId != $userData->userId) {
					if (true) {
						if ($_userData->userId == $selected) {
							echo "<option class='rep' selected value='" . $_userData->userId . "'> ". $_userData->username . "</option>";
						}
						else {
							echo "<option class='rep' value='" . $_userData->userId . "'> ". $_userData->username . "</option>";
						}
					}
				}
				echo "</select></b>";
			}
			
			$userIsRep = ($userData->userId == $rep->userId);
			
			include "./js/meeting.js";
		}

		// If waiting refresh page every minute to see new updates.
		if ($wait > 0) {
			echo "
				<script>
//					window.setInterval('refresh()', 60000); 	// 10000 OR 10 seconds
					// save or reload page.
//					function refresh() {
//						window.location.reload(true);
//					}
					document.addEventListener('DOMContentLoaded', function(event) { 
						var scrollpos = localStorage.getItem('scrollpos');
						if (scrollpos) window.scrollTo(0, scrollpos);
					});
					window.onbeforeunload = function(e) {
						localStorage.setItem('scrollpos', window.scrollY);
					};
				</script>
					";		
		}
		
		// $Fractal->config->lobbyTime min left to start, you can join group
		
		if ($wait > 0 && !isset($groupId)) {
			if($layer==0 || $isPrevRep) {
				echo '
					<div id="joingroup" style="display:none"><p>
					<a onclick="window.name = \'M' .($_layer+1). '\'" href="?start" target="M'.($_layer+1).'" class="btn btn-default">' .
					e("Join group") . '
					<span class="fa fa-group" aria-hidden="true"></span>
					</a>
					<p></div>';
			}
			
		}

	}
	else {
		//TODO check pin tries

		if ($userData->pin && $userData->pin != $pin && $pin>"") {
			echo "<p><b>". e("You have entered the wrong PIN code.");
		}
		$Fractal->sendLoginForm();		
	}



/*
		echo '<br><br><br><br><h4>Support</h4><p>If you have problems joining your circle or if your need help you can join the support video chat.<p><a href="#" onclick="$(\'#openMeetContainer\').show(); api = new JitsiMeetExternalAPI(jitsiDomain, openOptions);" class="btn btn-default">
		Video Support
		<span class="glyphicon glyphicon-earphone" aria-hidden="true"></span>
		</a><br>';
	*/	
/*
		echo '<br><br><h4>Support Chat</h4><p><p><a href="#" onclick="$(\'#openMeetContainer\').show(); api = new JitsiMeetExternalAPI(jitsiDomain, openOptions);" class="btn btn-default">
		Support
		<span class="glyphicon glyphicon-earphone" aria-hidden="true"></span>
		</a><br>';
*/
		if ($test) {
			echo "<p>";
			echo "<a class='btn btn-default' href='?delete'>Delete all data</a>";
			echo "<p>";
			$users = str_split("ABCDEFGHIJKLMNOPQRSTUVWXYZ");
			foreach ($users as $u) {
				echo "<a class='btn btn-default' href='?username=" . $u . "&userId=" . $u . "&pin=1234&id=a'>" . $u . "</a>";
			}
			//delete all data
//			sendCreateMeetingForm($config);
		}

	include "./html/footer.html";

//TODO old browser warning (https://www.cssscript.com/customizable-browser-update-prompt-dialog-badbrowser-js/
//TODO users in same group cant have same name. Add number after identical names.
//TODO create frontend meeting planer
//TODO check all server calls for proper useage

// JOIN THE NEXT MEETING ONLY VISIBLE OF NOT JONED AND LOBBY NOT CLOSED.
//4 groups a 3 people, leaves 3 rep and 1 rep. Should be 2 rep and 2 rep.
// you are the representative join next, not fot last meeting.


?>
